Skip to main content
POST
Rotate Issuer Key
Rotates a signing key by creating a new key and marking the previous key as rotated. Existing attestations signed with the old key remain valid, but new attestations will use the new key.

Responses

Authorizations

X-API-Key
string
header
required

API key for machine-to-machine authentication

Path Parameters

kid
string
required

Body

application/json
alg
enum<string>

Signing algorithm matching the key.

Available options:
Ed25519,
ES256,
ES384,
ES512,
RS256,
RS384,
RS512,
PS256,
PS384,
PS512
kid
string
provider
string
public_key_b64url
string

Response

200 - application/json

Key rotated

kid
string

Key identifier

issuer_id
string<uuid>
algorithm
enum<string>

Signing algorithm for key generation

Available options:
Ed25519,
ES256,
ES384,
ES512,
RS256,
RS384,
RS512,
PS256,
PS384,
PS512
public_key
string

Base64-encoded public key

status
enum<string>
Available options:
ACTIVE,
DISABLED,
EXPIRED
not_before
string<date-time>
expires_at
string<date-time>